/****************************************************************************
*
* File Name         :"main.asm"
* Title             :EGZ-BF533 Test Program - Blink LED
* Date              :2004.08.22.
* Version           :1.0.0
* Support telephone :+36-70-333-4034,  old: +36-30-9541-658 VFX
* Support fax       :
* Support Email     :info@vfx.hu
* Software          :VisualDSP++3.5
* Hardware          :EGZ-BF533 Rev 1.0
* Target MCU        :ADSP-BF533SBBC500 Rev. 0.2 Silicon

* (C) Copyright 2004 - VFX,  All rights reserved.
*
****************************************************************************
*	D E S C R I P T I O N
*
* 	Toggle LED on PF1 the EGZ-BF533 (SW2-2 must ON positon for test)
*
****************************************************************************
*	M O D I F I C A T I O N   H I S T O R Y
*
*
*       rev.    date        who         why
*	----	----------  ---		------------------------------------
*	0.01	2004.08.22  VFX		Creation
*
****************************************************************************
*Hardware
*
* - 25MHz quartz, PLL x10 by power-up value
* 
****************************************************************************
**
**	SYSCLK: f=250.000 MHz (T= 4 ns)
**
****************************************************************************
*
* Hardware Def.
*
****************************************************************************/

#include <defBF533.h>

#define SYSCFG_VALUE 0x30			//For Anomaly #22


#define PF_DIR 0x0002               // PF1 Output
#define PF1_Bit 1


#define delay 0x3800000

//***************************************************************************
//***** VARIABLES
//***************************************************************************



//***************************************************************************
//**** CODE SEG
//***************************************************************************
.section L1_code;
.global main;

				
main:

        r1 = SYSCFG_VALUE;
        SYSCFG = r1;					//To allow operations up to 600MHz.


	sp.h = 0xFFB0;		//Set up supervisor stack
	sp.l = 0x0400;
	fp = sp;

// configure programmable flags
    // set PF dir reg
    p0.l = lo(FIO_DIR);
    p0.h = hi(FIO_DIR);
    r0.l = 2;
    w[p0] = r0;
    ssync;



ures:
    nop;
    p0.l = lo(FIO_FLAG_D);
    p0.h = hi(FIO_FLAG_D);
    r0.l = 2;
    w[p0] = r0;
    ssync;

    call DELAY;
    nop;
    nop;

     
    p0.l = lo(FIO_FLAG_D);
    p0.h = hi(FIO_FLAG_D);
    r0.l = 0;
    w[p0] = r0;
    ssync;
     
    call DELAY;
    nop;
    nop;
         
    jump ures;    
    
    
	
DELAY:
	p2.l = lo(delay);
	p2.h = hi(delay);
	lsetup(delay_loop, delay_loop) lc0=p2;
	delay_loop: nop;
	rts;
	
	
	
main.END:	
